Summary:	Background with Fax Detection for IAX/SIP/ZAP and the Asterisk PBX
Name:		asterisk-app_nv_backgrounddetect
Version:	1.0.6
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.newmantelecom.com/asterisk/faxdetect/
#http://www.newmantelecom.com/download/asterisk/faxdetect/1.0.6/app_nv_backgrounddetect.c
Source0:	app_nv_backgrounddetect.c.bz2
Source1:	asterisk-app_nv_backgrounddetect-1.0.6-Makefile.bz2
Source2:	app_nv_backgrounddetect.README.bz2
Patch0:		asterisk-app_nv_backgrounddetect-1.0.6-antibork.diff
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Plays filename, waiting for interruption from fax tones (on 
IAX/SIP too), a digit, or non-silence. Audio is monitored in the
receive direction. If digits interrupt, they must be the start of
a valid extension unless the option is included to ignore. If fax
is detected, it will jump to the 'fax' extension. If a period of
non-silence is greater than 'mindur' ms, yet less than 'maxdur' ms
is followed by silence at least 'sildur' ms then the app is
aborted and processing jumps to the 'talk' extension. If all
undetected, control will continue at the next priority. 

%prep

%setup -q -T -c
bzcat %{SOURCE0} > app_nv_backgrounddetect.c
bzcat %{SOURCE1} > Makefile
bzcat %{SOURCE2} > README

%patch0 -p0

%build

%make CFLAGS="%{optflags} -Wall -D_REENTRANT -D_GNU_SOURCE -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 app_nv_backgrounddetect.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0755,root,root) %{_libdir}/asterisk/app_nv_backgrounddetect.so

%changelog
* Thu Feb 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-1mdk
- initial Mandriva package

